asn1-types-0.3.0: ASN.1 types

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.ASN1.OID

Contents

- classes

Description

Synopsis

- type OID = [Integer]
- class OIDable a where
  - getObjectID :: a -> OID
- class OIDNameable a where
  - fromObjectID :: OID -> Maybe a

# Documentation

type OID = [Integer]

Standard ASN.1 Object ID (OID)

# classes

class OIDable a where

Class of things that have an Object ID

Methods

getObjectID :: a -> OID

return the object ID of an Object from the ObjectIdentifiable class.

class OIDNameable a where

Class of things that can be named by Object ID

Methods

fromObjectID :: OID -> Maybe a

Try to convert an OID into an Object